### Function

# Gegl param_spec_int

#### Declaration [src]

    GParamSpec*
    gegl_param_spec_int (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gint minimum,
      gint maximum,
      gint default_value,
      gint ui_minimum,
      gint ui_maximum,
      gdouble ui_gamma,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GeglParamSpecInt` instance.

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`minimum`

  Type: `gint`

  Minimum value for the property specified.

`maximum`

  Type: `gint`

  Maximum value for the property specified.

`default_value`

  Type: `gint`

  Default value for the property specified.

`ui_minimum`

  Type: `gint`

  Minimum value a user should be allowed to input.

`ui_maximum`

  Type: `gint`

  Maximum value a user should be allowed to input.

`ui_gamma`

  Type: `gdouble`

  The gamma that should be used when adjusting the value.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.